Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAccessibleTableInterface

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QAccessible2Interface
                  com.trolltech.qt.gui.QAccessibleTableInterface

All Implemented Interfaces:
  QtJambiInterface

    public abstract class QAccessibleTableInterface

extends QAccessible2Interface

Nested Class Summary
`static class` | `QAccessibleTableInterface.CellAtIndex`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QAccessibleTableInterface()` Creates a new QAccessibleTableInterface

Method Summary
`static QAccessibleTableInterface` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAccessibleTableInterface instance pointed to by `nativePointer`.
`abstract int` | `selectedColumns(int maxColumns, java.util.List columns)`
`abstract int` | `selectedRows(int maxRows, java.util.List rows)`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAccessibleTableInterface

    public QAccessibleTableInterface()

  Creates a new QAccessibleTableInterface

Method Detail

### selectedColumns

    public abstract int selectedColumns(int maxColumns,
                                        java.util.List columns)

### selectedRows

    public abstract int selectedRows(int maxRows,
                                     java.util.List rows)

### fromNativePointer

    public static QAccessibleTableInterface fromNativePointer(QNativePointer nativePointer)

  This method returns the QAccessibleTableInterface instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD